"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vue_client_contribution_1 = require("./vue-client-contribution");
var browser_1 = require("@devpodio/languages/lib/browser");
var inversify_1 = require("inversify");
var textmate_1 = require("@devpodio/monaco/lib/browser/textmate");
var vue_grammar_contribution_1 = require("./grammars/vue-grammar-contribution");
var vue_calhierarchy_service_1 = require("./vue-calhierarchy-service");
var callhierarchy_service_1 = require("@devpodio/callhierarchy/lib/browser/callhierarchy-service");
var vue_preferences_1 = require("./vue-preferences");
exports.default = new inversify_1.ContainerModule(function (bind, unbind, isBound, rebind) {
    vue_preferences_1.bindVuePreferences(bind);
    bind(vue_client_contribution_1.VueClientContribution).toSelf().inSingletonScope();
    bind(browser_1.LanguageClientContribution).toService(vue_client_contribution_1.VueClientContribution);
    bind(vue_calhierarchy_service_1.VueCallHierarchyService).toSelf().inSingletonScope();
    bind(callhierarchy_service_1.CallHierarchyService).toService(vue_calhierarchy_service_1.VueCallHierarchyService);
    bind(textmate_1.LanguageGrammarDefinitionContribution).to(vue_grammar_contribution_1.VueGrammarContribution).inSingletonScope();
});
